Error de instalación de Pip: el comando python setup.py egg_info falló con el código de error 1

Acabo de instalar Python 2.7.5 en una caja de Windows 7 (32 bits) .

Cuando bash instalar el módulo Scrapy a través de la consola de Windows, aparece el siguiente error:

Command python setup.py egg_info failed with error code 1 in c:\users\compaq\app data\local\temp\pip_build_COMPAQ\pyOpenSSL Storing debug log for failure in C:\Users\COMPAQ\pip\pip.log 

He leído otros subprocesos sobre esto, sugiriendo que las herramientas de configuración sean reinstaladas o actualizadas. Ya he intentado esto (existen las últimas herramientas de configuración) pero el error de instalación de scrapy permanece.

El siguiente es el script de instalación completo y el error:

  C:\Windows\system32>pip install scrapy Downloading/unpacking scrapy Running setup.py (path:c:\users\compaq\appdata\local\temp\pip_build_COMPAQ\scr apy\setup.py) egg_info for package scrapy no previously-included directories found matching 'docs\build' Downloading/unpacking Twisted>=10.0.0 (from scrapy) Downloading/unpacking w3lib>=1.2 (from scrapy) Downloading w3lib-1.5.tar.gz Running setup.py (path:c:\users\compaq\appdata\local\temp\pip_build_COMPAQ\w3l ib\setup.py) egg_info for package w3lib Downloading/unpacking queuelib (from scrapy) Downloading queuelib-1.1.1.tar.gz Running setup.py (path:c:\users\compaq\appdata\local\temp\pip_build_COMPAQ\que uelib\setup.py) egg_info for package queuelib Downloading/unpacking lxml (from scrapy) Running setup.py (path:c:\users\compaq\appdata\local\temp\pip_build_COMPAQ\lxm l\setup.py) egg_info for package lxml Building lxml version 3.3.0. Building without Cython. ERROR: 'xslt-config' is not recognized as an internal or external command, operable program or batch file. ** make sure the development packages of libxml2 and libxslt are installed * * Using build configuration of libxslt C:\HACK\Python\lib\distutils\dist.py:267: UserWarning: Unknown distribution option: 'bugtrack_url' warnings.warn(msg) warning: no previously-included files found matching '*.py' Downloading/unpacking pyOpenSSL (from scrapy) Running setup.py (path:c:\users\compaq\appdata\local\temp\pip_build_COMPAQ\pyO penSSL\setup.py) egg_info for package pyOpenSSL error: Only found improper OpenSSL directories: ['C:\\RUBY\\RailsInstaller\\ Git'] Complete output from command python setup.py egg_info: running egg_info creating pip-egg-info\pyOpenSSL.egg-info writing dependency_links to pip-egg-info\pyOpenSSL.egg-info\dependency_links.txt writing pip-egg-info\pyOpenSSL.egg-info\PKG-INFO writing top-level names to pip-egg-info\pyOpenSSL.egg-info\top_level.txt writing manifest file 'pip-egg-info\pyOpenSSL.egg-info\SOURCES.txt' warning: manifest_maker: standard file '-c' not found error: Only found improper OpenSSL directories: ['C:\\RUBY\\RailsInstaller\\Git' ] ---------------------------------------- Cleaning up... Command python setup.py egg_info failed with error code 1 in c:\users\compaq\app data\local\temp\pip_build_COMPAQ\pyOpenSSL Storing debug log for failure in C:\Users\COMPAQ\pip\pip.log 

pip intenta construir paquetes desde la fuente. Así que necesitará encabezados de desarrollo para las bibliotecas y el comstackdor VS2008 , todo lo cual es bastante difícil de configurar.

Es más fácil descargar binarios precomstackdos para paquetes fallidos desde aquí: http://www.lfd.uci.edu/~gohlke/pythonlibs/

Y luego scrapy intentar instalar scrapy .